org.apache.tinkerpop.gremlin.process.computer

## Interface GraphComputer.Features

- All Known Implementing Classes:
    AbstractHadoopGraphComputer.Features, GiraphGraphComputer.Features
  Enclosing interface:
    GraphComputer

      public static interface GraphComputer.Features

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default int` | `getMaxWorkers()`
    `default boolean` | `supportsDirectObjects()` Supports `VertexProgram` and `MapReduce` parameters to be direct referenced Java objects (no serialization required).
    `default boolean` | `supportsEdgeAddition()`
    `default boolean` | `supportsEdgePropertyAddition()`
    `default boolean` | `supportsEdgePropertyRemoval()`
    `default boolean` | `supportsEdgeRemoval()`
    `default boolean` | `supportsGlobalMessageScopes()`
    `default boolean` | `supportsGraphFilter()`
    `default boolean` | `supportsLocalMessageScopes()`
    `default boolean` | `supportsResultGraphPersistCombination(GraphComputer.ResultGraph resultGraph, GraphComputer.Persist persist)`
    `default boolean` | `supportsVertexAddition()`
    `default boolean` | `supportsVertexPropertyAddition()`
    `default boolean` | `supportsVertexPropertyRemoval()`
    `default boolean` | `supportsVertexRemoval()`

- - ### Method Detail

    - #### getMaxWorkers

          default int getMaxWorkers()

    - #### supportsGlobalMessageScopes

          default boolean supportsGlobalMessageScopes()

    - #### supportsLocalMessageScopes

          default boolean supportsLocalMessageScopes()

    - #### supportsVertexAddition

          default boolean supportsVertexAddition()

    - #### supportsVertexRemoval

          default boolean supportsVertexRemoval()

    - #### supportsVertexPropertyAddition

          default boolean supportsVertexPropertyAddition()

    - #### supportsVertexPropertyRemoval

          default boolean supportsVertexPropertyRemoval()

    - #### supportsEdgeAddition

          default boolean supportsEdgeAddition()

    - #### supportsEdgeRemoval

          default boolean supportsEdgeRemoval()

    - #### supportsEdgePropertyAddition

          default boolean supportsEdgePropertyAddition()

    - #### supportsEdgePropertyRemoval

          default boolean supportsEdgePropertyRemoval()

    - #### supportsResultGraphPersistCombination

          default boolean supportsResultGraphPersistCombination(GraphComputer.ResultGraph resultGraph,
                                                                GraphComputer.Persist persist)

    - #### supportsGraphFilter

          default boolean supportsGraphFilter()

    - #### supportsDirectObjects

          default boolean supportsDirectObjects()

      Supports `VertexProgram` and `MapReduce` parameters to be direct referenced Java objects (no serialization required). This is typically true for single machine graph computer engines. For cluster oriented graph computers, this is typically false.

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.